#pragma once
#include <BWAPI.h>
#include "Utils.h"

#define E 0.0
#define SE 0.760854
#define S 1.570796 // PI/2 rad
#define SW 2.380738
#define W 3.141593 //PI rad
#define NW 3.902447
#define N 4.712389 // 3/2 PI rad
#define NE 5.522331

class ExploreManager
{
public:
	ExploreManager();
	void move(BWAPI::Unit unit);
	void trackEnemy(BWAPI::Unit unit, BWAPI::Unitset foes);
	void exploreTerrain(BWAPI::Unit unit);
};

